SystemOrganization addCategory: #'A3-Model-Tests'!
SystemOrganization addCategory: #'A3-Model'!

TestCase subclass: #TestA3Tp
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model-Tests'!

!TestA3Tp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/3/2013 09:48'!
testGettingTp0
	| tp |
	tp := A3Tp download: nil "student".
	self deny: (tp wording isEmpty).! !

!TestA3Tp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/3/2013 09:57'!
testTPJustDownloadedIsnotSolved
	| tp |
	tp := A3Tp download: nil "student".
	self deny: (tp  isSolved).! !

Object subclass: #A3Tp
	instanceVariableNames: 'student wording'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model'!

!A3Tp commentStamp: 'DiegoSanchez 12/30/2012 10:04' prior: 0!
An A3Tp is a SmallTalk TP for AlgoIII Fiuba.
!

!A3Tp class methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:35'!
download: aStudent
	| tp  |
	tp := self new.
	tp student: aStudent.
	^tp.! !

!A3Tp class methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/2/2013 17:03'!
resource
	^'http://localhost:81/current_homework/7507-1C2012-TP0-Enunciado1.txt'.! !

!A3Tp methodsFor: 'testing' stamp: 'DiegoSanchez 1/3/2013 09:53'!
isSolved
	 ^false.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:36'!
student: aStudent
	student := aStudent.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 14:10'!
title
	^'TP 0'.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/3/2013 09:49'!
wording
	wording isNil ifTrue: [
		wording := HTTPClient httpGet: A3Tp resource.
	].
	^wording contents asString.
	! !
